#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

set( EXPAT_NAME wxexpat${WXBUILD} )

set( EXPAT_SOURCES
    ${PROJECT_SOURCE_DIR}/src/expat/lib/xmlparse.c
    ${PROJECT_SOURCE_DIR}/src/expat/lib/xmlrole.c
    ${PROJECT_SOURCE_DIR}/src/expat/lib/xmltok.c
    )

add_library( ${EXPAT_NAME} STATIC ${EXPAT_SOURCES} )

add_target_definition( ${EXPAT_NAME} COMPILED_FROM_DSP )

set_target_properties( ${EXPAT_NAME}
    PROPERTIES
    COMPILE_DEFINITIONS "${${EXPAT_NAME}_DEFINES}" )

set( EXPAT_LIBS ${EXPAT_NAME} )
set( EXPAT_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/src/expat/lib )
