#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

set( ZLIB_NAME wxzlib${WXBUILD} )

set( ZLIB_SOURCES
    ${PROJECT_SOURCE_DIR}/src/zlib/adler32.c
    ${PROJECT_SOURCE_DIR}/src/zlib/compress.c
    ${PROJECT_SOURCE_DIR}/src/zlib/crc32.c
    ${PROJECT_SOURCE_DIR}/src/zlib/deflate.c
    ${PROJECT_SOURCE_DIR}/src/zlib/gzio.c
    ${PROJECT_SOURCE_DIR}/src/zlib/infback.c
    ${PROJECT_SOURCE_DIR}/src/zlib/inffast.c
    ${PROJECT_SOURCE_DIR}/src/zlib/inflate.c
    ${PROJECT_SOURCE_DIR}/src/zlib/inftrees.c
    ${PROJECT_SOURCE_DIR}/src/zlib/trees.c
    ${PROJECT_SOURCE_DIR}/src/zlib/uncompr.c
    ${PROJECT_SOURCE_DIR}/src/zlib/zutil.c
    ${PROJECT_SOURCE_DIR}/src/zlib/crc32.h
    ${PROJECT_SOURCE_DIR}/src/zlib/deflate.h
    ${PROJECT_SOURCE_DIR}/src/zlib/inffast.h
    ${PROJECT_SOURCE_DIR}/src/zlib/inffixed.h
    ${PROJECT_SOURCE_DIR}/src/zlib/inflate.h
    ${PROJECT_SOURCE_DIR}/src/zlib/inftrees.h
    ${PROJECT_SOURCE_DIR}/src/zlib/trees.h
    ${PROJECT_SOURCE_DIR}/src/zlib/zconf.h
    ${PROJECT_SOURCE_DIR}/src/zlib/zlib.h
    ${PROJECT_SOURCE_DIR}/src/zlib/zutil.h
    )

add_library( ${ZLIB_NAME} STATIC ${ZLIB_SOURCES} )

set( ZLIB_LIBS ${ZLIB_NAME} )
set( ZLIB_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/src/zlib )
