#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

set( JPEG_NAME wxjpeg${WXBUILD} )

set( JPEG_SOURCES
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcomapi.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jutils.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jerror.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jmemmgr.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jmemnobs.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcapimin.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcapistd.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jctrans.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcparam.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdatadst.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcinit.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcmaster.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcmarker.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcmainct.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcprepct.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jccoefct.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jccolor.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcsample.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jchuff.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcphuff.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jcdctmgr.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jfdctfst.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jfdctflt.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jfdctint.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdapimin.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdapistd.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdtrans.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdatasrc.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdmaster.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdinput.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdmarker.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdhuff.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdphuff.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdmainct.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdcoefct.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdpostct.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jddctmgr.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jidctfst.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jidctflt.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jidctint.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jidctred.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdsample.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdcolor.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jquant1.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jquant2.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdmerge.c
    ${PROJECT_SOURCE_DIR}/src/jpeg/jchuff.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jconfig.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdct.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jdhuff.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jerror.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jinclude.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jmemsys.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jmorecfg.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jpegint.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jpeglib.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jpeg_CW_Prefix.h
    ${PROJECT_SOURCE_DIR}/src/jpeg/jversion.h
    )

add_library( ${JPEG_NAME} STATIC ${JPEG_SOURCES} )

set( JPEG_LIBS ${JPEG_NAME} )
set( JPEG_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/src/jpeg )
