
if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_@WXCOMPILER@@WXFLAVOUR@" WXMONONAME )
else()
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@" WXMONONAME )
endif()

if( WXMONOLITHIC )

    message( STATUS "Monolithic Library ${WXMONONAME} will be built" )

    add_target_definition( ${WXMONONAME} )

    add_library( ${WXMONONAME}
        ${WXADV_COMMON_SOURCES} ${WXADV_MACH_SOURCES}
        ${WXAUI_COMMON_SOURCES} ${WXAUI_MACH_SOURCES}
        ${WXBASE_COMMON_SOURCES} ${WXBASE_MACH_SOURCES}
        ${WXCORE_COMMON_SOURCES} ${WXCORE_MACH_SOURCES}
        ${WXHTML_COMMON_SOURCES} ${WXHTML_MACH_SOURCES}
        ${WXMEDIA_COMMON_SOURCES} ${WXMEDIA_MACH_SOURCES}
        ${WXNET_COMMON_SOURCES} ${WXNET_MACH_SOURCES}
        ${WXPROPGRID_COMMON_SOURCES} ${WXPROPGRID_MACH_SOURCES}
        ${WXRIBBON_COMMON_SOURCES} ${WXRIBBON_MACH_SOURCES}
        ${WXRICHTEXT_COMMON_SOURCES} ${WXRICHTEXT_MACH_SOURCES}
        ${SCINTILLA_SOURCES}
        ${WXSTC_COMMON_SOURCES} ${WXSTC_MACH_SOURCES}
        ${WXWEBVIEW_COMMON_SOURCES} ${WXWEBVIEW_MACH_SOURCES}
        ${WXXML_COMMON_SOURCES} ${WXXML_MACH_SOURCES}
        ${WXXRC_COMMON_SOURCES} ${WXXRC_MACH_SOURCES} )

    target_link_libraries(

                )
endif()
