#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

set( PNG_NAME wxpng${WXBUILD} )

set( PNG_SOURCES
    ${PROJECT_SOURCE_DIR}/src/png/png.c
    ${PROJECT_SOURCE_DIR}/src/png/pngerror.c
    ${PROJECT_SOURCE_DIR}/src/png/pngget.c
    ${PROJECT_SOURCE_DIR}/src/png/pngmem.c
    ${PROJECT_SOURCE_DIR}/src/png/pngpread.c
    ${PROJECT_SOURCE_DIR}/src/png/pngread.c
    ${PROJECT_SOURCE_DIR}/src/png/pngrio.c
    ${PROJECT_SOURCE_DIR}/src/png/pngrtran.c
    ${PROJECT_SOURCE_DIR}/src/png/pngrutil.c
    ${PROJECT_SOURCE_DIR}/src/png/pngset.c
    ${PROJECT_SOURCE_DIR}/src/png/pngtrans.c
    ${PROJECT_SOURCE_DIR}/src/png/pngwio.c
    ${PROJECT_SOURCE_DIR}/src/png/pngwrite.c
    ${PROJECT_SOURCE_DIR}/src/png/pngwtran.c
    ${PROJECT_SOURCE_DIR}/src/png/pngwutil.c
    ${PROJECT_SOURCE_DIR}/src/png/png.h
    ${PROJECT_SOURCE_DIR}/src/png/pngconf.h
    ${PROJECT_SOURCE_DIR}/src/png/pngdebug.h
    ${PROJECT_SOURCE_DIR}/src/png/pnginfo.h
    ${PROJECT_SOURCE_DIR}/src/png/pnglibconf.h
    ${PROJECT_SOURCE_DIR}/src/png/pngpriv.h
    ${PROJECT_SOURCE_DIR}/src/png/pngstruct.h )

add_library( ${PNG_NAME} STATIC ${PNG_SOURCES} )

set( PNG_LIBS ${PNG_NAME} )
set( PNG_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/src/png )
