#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

set( REGEX_NAME wxregexu${WXBUILD} )

include_directories(
    ${PROJECT_SOURCE_DIR}/src/regex
    ${PROJECT_SOURCE_DIR}/include )

set( REGEX_SOURCES
    ${PROJECT_SOURCE_DIR}/src/regex/regcomp.c
    ${PROJECT_SOURCE_DIR}/src/regex/regexec.c
    ${PROJECT_SOURCE_DIR}/src/regex/regerror.c
    ${PROJECT_SOURCE_DIR}/src/regex/regfree.c
    )

add_library( ${REGEX_NAME} STATIC ${REGEX_SOURCES} )

set( REGEX_LIBS ${REGEX_NAME} )
set( REGEX_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/src/regex )
